Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.item
Class VideoBroadcast

    java.lang.Object
      org.fourthline.cling.support.model.DIDLObject
          org.fourthline.cling.support.model.item.Item
              org.fourthline.cling.support.model.item.VideoItem
                  org.fourthline.cling.support.model.item.VideoBroadcast

    public class VideoBroadcast

extends VideoItem

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.fourthline.cling.support.model.item.Item
`refID`

Fields inherited from class org.fourthline.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`VideoBroadcast()`
`VideoBroadcast(Item other)`
`VideoBroadcast(String id, Container parent, String title, String creator, Res... resource)`
`VideoBroadcast(String id, String parentID, String title, String creator, Res... resource)`

Method Summary
`Integer` | `getChannelNr()`
`URI` | `getIcon()`
`String` | `getRegion()`
`VideoBroadcast` | `setChannelNr(Integer channelNr)`
`VideoBroadcast` | `setIcon(URI icon)`
`VideoBroadcast` | `setRegion(String region)`

Methods inherited from class org.fourthline.cling.support.model.item.VideoItem
`getActors, getDescription, getDirectors, getFirstActor, getFirstDirector, getFirstGenre, getFirstProducer, getFirstPublisher, getFirstRelation, getGenres, getLanguage, getLongDescription, getProducers, getPublishers, getRating, getRelations, setActors, setDescription, setDirectors, setGenres, setLanguage, setLongDescription, setProducers, setPublishers, setRating, setRelations`

Methods inherited from class org.fourthline.cling.support.model.item.Item
`getRefID, setRefID`

Methods inherited from class org.fourthline.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### VideoBroadcast

    public VideoBroadcast()

### VideoBroadcast

    public VideoBroadcast(Item other)

### VideoBroadcast

    public VideoBroadcast(String id,
                          Container parent,
                          String title,
                          String creator,
                          Res... resource)

### VideoBroadcast

    public VideoBroadcast(String id,
                          String parentID,
                          String title,
                          String creator,
                          Res... resource)

Method Detail

### getIcon

    public URI getIcon()

### setIcon

    public VideoBroadcast setIcon(URI icon)

### getRegion

    public String getRegion()

### setRegion

    public VideoBroadcast setRegion(String region)

### getChannelNr

    public Integer getChannelNr()

### setChannelNr

    public VideoBroadcast setChannelNr(Integer channelNr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.